Create a Ticket
curl --request POST \
--url https://api.tread-horizon.com/v1/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"unit_of_measure": "Load",
"quantity": 123,
"ticket_number": "<string>",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"printed_at": "2023-11-07T05:31:56Z",
"service_date": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.tread-horizon.com/v1/tickets"
payload = {
"unit_of_measure": "Load",
"quantity": 123,
"ticket_number": "<string>",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"printed_at": "2023-11-07T05:31:56Z",
"service_date": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
unit_of_measure: 'Load',
quantity: 123,
ticket_number: '<string>',
job_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
material_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
load_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
printed_at: '2023-11-07T05:31:56Z',
service_date: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.tread-horizon.com/v1/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_number": "<string>",
"preview_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"quantity": "<string>",
"unit_of_measure": "Load",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_url": "<string>",
"image_mime_type": "<string>",
"preview_mime_type": "<string>",
"ocr_ticket_number": "<string>",
"ocr_net_quantity_ton": "<string>",
"ocr_processed": true,
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "driver_app",
"flagged": true,
"missing_info": true,
"printed_at": "2023-11-07T05:31:56Z",
"ocr_ticket_number_confidence": "\"1.0\", \"90.5\", null",
"ocr_net_quantity_ton_confidence": "\"1.0\", \"90.5\", null",
"ocr_service_date": "2023-11-07T05:31:56Z",
"ocr_service_date_raw_str": "<string>",
"ai_processed": true,
"material": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"state_events": [],
"service_date": "2023-11-07T05:31:56Z",
"friendly_job_id": "<string>",
"customer_name": "<string>",
"project_name": "<string>",
"dispatch_number_name": "<string>",
"equipment_name": "<string>",
"driver_name": "<string>",
"vendor_name": "<string>",
"material_name": "<string>",
"pickup_site_name": "<string>",
"dropoff_site_name": "<string>",
"external_truck_id": "<string>",
"external_vendor_name": "<string>",
"external_material_material_name": "<string>",
"external_net_weight": "<string>",
"external_net_weight_unit": "<string>",
"external_ticket_number": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}Tickets
Create a Ticket
Create a Ticket
This endpoint requires the create_ticket permission
POST
/
v1
/
tickets
Create a Ticket
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Body
application/json
Available options:
Load, Tonne, Ton, Yard, Meter, Foot, Liter, Hour, Bushel, Gallon, CubicMeter, Mile, Kilometer, Barrel, Bag, Pallet Example:
"Load"
Response
Created
Show child attributes
Show child attributes
⌘I